View Issue Details

IDCategoryLast Update
0002610bugs2010-04-24 10:31
ReporterobleakAssigned Tocth103 
Reproducibilityalways 
Status resolvedResolutionfixed 
Product VersionSVN/2.0-ongoing 
Fixed in VersionSVN/2.0-ongoing 
Summary0002610: [PATCH] Syntax errors in LV2 plugin "RDF" files cause Ardour to crash on startup.
Descriptionto reproduce:
1) install LV2 plugins
2) modify a plugin 'ttl' to introduce a syntax error (take out a semi-colon for example)
3) run Ardour

$ ardour2

Ardour/GTK 2.8
   (built using 4918 and GCC version 4.3.3)
...
(startup info)
...
librdf error URI file:///home/fraser/.lv2/invada.lv2/inv_filter.ttl:21 - syntax error
raptor_sequence.c:327: (raptor_sequence_get_at) assertion failed: object pointer of type raptor_sequence is NULL.
$
Additional Information$uname -a
Linux arch-lv2 2.6.28-ARCH 0000001 SMP PREEMPT Tue Mar 17 07:22:53 CET 2009 x86_64 AMD Athlon(tm) 64 X2 Dual Core Processor 4800+ AuthenticAMD GNU/Linux

ardour version: 2.8
slv2: version 0.6.2
TagsNo tags attached.

Activities

nettings

2009-08-17 18:49

manager   ~0006563

same here, r5499.

nettings

2009-08-17 21:02

manager   ~0006572

this issue is also in 3.0.

2009-08-19 18:33

 

a2.lv2.patch (478 bytes)
Index: libs/ardour/lv2_plugin.cc
===================================================================
--- libs/ardour/lv2_plugin.cc	(revision 5548)
+++ libs/ardour/lv2_plugin.cc	(working copy)
@@ -606,6 +606,12 @@
 		LV2PluginInfoPtr info (new LV2PluginInfo(lv2_world, p));
 
 		SLV2Value name = slv2_plugin_get_name(p);
+
+		if (!name) {
+			cerr << "LV2: invalid plugin\n";
+			continue;
+		}
+		
 		info->name = string(slv2_value_as_string(name));
 		slv2_value_free(name);
 
a2.lv2.patch (478 bytes)

cth103

2009-08-19 18:33

administrator   ~0006574

Fixed in 3.0, and the attached patch should fix 2.0-ongoing also (though untested).

cth103

2009-08-21 13:52

administrator   ~0006584

Fixed in 2.0-ongoing.

Issue History

Date Modified Username Field Change
2009-04-03 06:42 obleak New Issue
2009-08-17 18:49 nettings Note Added: 0006563
2009-08-17 18:49 nettings Status new => confirmed
2009-08-17 21:02 nettings Note Added: 0006572
2009-08-19 18:33 cth103 File Added: a2.lv2.patch
2009-08-19 18:33 cth103 Note Added: 0006574
2009-08-19 18:50 nettings cost => 0.00
2009-08-19 18:50 nettings Assigned To => cth103
2009-08-19 18:50 nettings Status confirmed => assigned
2009-08-19 18:50 nettings Summary Syntax errors in LV2 plugin "RDF" files cause Ardour to crash on startup. => [PATCH] Syntax errors in LV2 plugin "RDF" files cause Ardour to crash on startup.
2009-08-21 13:52 cth103 Note Added: 0006584
2009-08-21 13:52 cth103 Status assigned => resolved
2009-08-21 13:52 cth103 Fixed in Version => SVN/2.0-ongoing
2009-08-21 13:52 cth103 Resolution open => fixed
2010-04-24 10:28 cth103 Category bugs => bugs2
2010-04-24 10:31 cth103 Category bugs2 => bugs